--called at the start of a game, makes the objects in question
function initHost()
	-- place spinners in a ring around the center of the map
	rad = 700				--the radius of the circle
	for i = 0, 7 do
		deg = math.rad(i*(360/8))
		sx =  100 + math.cos(deg) * rad
		sy =  200 + math.sin(deg) * rad
		
		--create the spinner and rotate it
		stage.createShip("Spinner", "null", sx, sy, 0)
		ship.rot = math.random(0,359)
		
		--stage.GFP("spinner at " .. deg .. "   " .. sx .. ", " .. sy)
	end
	
	terrain.callWithin = 0--skip calling the within function
	terrain.callUpdate = 0--skip calling the update function
	
	return 0
end

--called (by the host) every loop
function updateHost()
	return 0
end

--called (by the host) when a ship is inside this terrain tile
function shipWithin()
	return 0
end

--sets the editor/minimap display icon and color
function setIcon()
	icon.frame = 22	--from map_icons.png, which frame to use.
	icon.color = 0
	return 0
end